package com.mdd.admin.validate.article;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("文章分类搜索参数")
public class ArtCateSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("分类名称")
   private String name;
   @ApiModelProperty("是否显示")
   private Integer isShow;

   public String getName() {
      return this.name;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArtCateSearchValidate)) {
         return false;
      } else {
         ArtCateSearchValidate other = (ArtCateSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$isShow = this.getIsShow();
            Object other$isShow = other.getIsShow();
            if (this$isShow == null) {
               if (other$isShow != null) {
                  return false;
               }
            } else if (!this$isShow.equals(other$isShow)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArtCateSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "ArtCateSearchValidate(name=" + this.getName() + ", isShow=" + this.getIsShow() + ")";
   }
}
